#include <iostream>
#include <string>
using namespace std;
int main() {
	string s;
	cin>>s;
	int l=s.length();
	int a,b,n=0,m=0,ip=0;
	for(a=0;a<l;a++){
		if(s[a]==s[2*ip-a+1]){
				n++;
			}
		for(b=0;b<=a-ip;b++){	
			if(a-ip>=2&&s[a-b]==s[a+1+b]){
				ip=a;
				
				break;
			}			
		}
	}
	cout<<n;
	return 0;
}